SQLEditor and MacOS 10.15/catalina

This page gives information about SQLEditor and MacOS 10.15/Catalina

This page will be updated if new information becomes available.

Last updated 9th September 2019

What is MacOS 10.15/Catalina?

MacOS 10.15/Catalina is the latest version of MacOS (Formerly Mac OS X).
It is the successor to the 10.14/Mojave release

Will SQLEditor work on MacOS 10.15/Catalina

YES - SQLEditor versions 3.5.5 and later are compatible with Catalina

(Based on our testing using pre-release versions of Catalina)

We have not found any issues

Should any other issues be found, we intend to provide any fixes that are required.


Note that there are sometimes major, app breaking changes between the public betas and final release of an operating system, however we intend to update SQLEditor to deal with any that occur.


Are there any known issues

There is currently no known issues

Is SQLEditor Notarized?

  • SQLEditor 3.5.5 is not notarized, but is exempt from this requirement
    (having been released before the relevant date)
  • However SQLEditor version 3.6.0 and later are notarized.

Please report problems

If you are using SQLEditor on 10.14 and find a problem please report it to us at support@malcolmhardie.com.

For more information about macOS 10.14/mojave, please see Apple's website: https://www.apple.com/macos/mojave-preview/

Support Updates


Contact Us

To contact us with a support issue please email:

support@malcolmhardie.com